> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get camera media URIs

> Get media uris for camera to retrieve footage



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/camera/getMediaUris
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/camera/getMediaUris:
    post:
      tags:
        - Camera Webservice
      summary: Get camera media URIs
      description: Get media uris for camera to retrieve footage
      operationId: getCameraMediaUris
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Camera_GetMediaUrisWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Camera_GetMediaUrisWSResponse'
          description: OK
components:
  schemas:
    Camera_GetMediaUrisWSRequest:
      type: object
      description: Request to get media URIs for a camera device.
      properties:
        cameraUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
    Camera_GetMediaUrisWSResponse:
      type: object
      description: Response containing media URIs for camera streaming and playback.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        lanCheckUrls:
          type: array
          description: List of LAN check URLs to verify device availability
          items:
            type: string
            description: List of LAN check URLs to verify device availability
            nullable: true
          nullable: true
        lanLiveH264Uris:
          type: array
          description: List of LAN H.264 live streaming URIs
          items:
            type: string
            description: List of LAN H.264 live streaming URIs
            nullable: true
          nullable: true
        lanLiveM3u8Uris:
          type: array
          description: List of LAN M3U8 live streaming URIs
          items:
            type: string
            description: List of LAN M3U8 live streaming URIs
            nullable: true
          nullable: true
        lanLiveMpdUris:
          type: array
          description: List of LAN MPD live streaming URIs
          items:
            type: string
            description: List of LAN MPD live streaming URIs
            nullable: true
          nullable: true
        lanLiveOpusUris:
          type: array
          description: List of LAN URIs for live Opus audio streams
          items:
            type: string
            description: List of LAN URIs for live Opus audio streams
            nullable: true
          nullable: true
        lanVodM3u8UrisTemplates:
          type: array
          description: List of LAN M3U8 VOD URI templates
          items:
            type: string
            description: List of LAN M3U8 VOD URI templates
            nullable: true
          nullable: true
        lanVodMpdUrisTemplates:
          type: array
          description: List of LAN MPD VOD URI templates
          items:
            type: string
            description: List of LAN MPD VOD URI templates
            nullable: true
          nullable: true
        wanLiveH264Uri:
          type: string
          description: WAN H.264 live streaming URI
          example: rtsp://camera.example.com/live
          nullable: true
        wanLiveM3u8Uri:
          type: string
          description: WAN M3U8 live streaming URI
          example: https://camera.example.com/live.m3u8
          nullable: true
        wanLiveMpdUri:
          type: string
          description: WAN MPD live streaming URI
          example: https://camera.example.com/live.mpd
          nullable: true
        wanLiveOpusUri:
          type: string
          description: WAN URI for live Opus audio stream
          nullable: true
        wanVodH264UriTemplate:
          type: string
          description: WAN H.264 VOD URI template
          example: https://camera.example.com/vod/{timestamp}.h264
          nullable: true
        wanVodM3u8UriTemplate:
          type: string
          description: WAN M3U8 VOD URI template
          example: https://camera.example.com/vod/{timestamp}.m3u8
          nullable: true
        wanVodMpdUriTemplate:
          type: string
          description: WAN MPD VOD URI template
          example: https://camera.example.com/vod/{timestamp}.mpd
          nullable: true
        warningMsg:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````